C This software DLL2.FOR is part of the DEC Fortran kit.
C
C This software is provided as an example that demonstrates a particular
C feature/function of the licensed product. The software is not intended to
C provide a complete solution to any application problem but rather is provided
C as a teaching mechanism.
C
C Users may incorporate any part of this sample into their own source after 
C making appropriate changes to make it suitable for the intended application.
C       
C
      PROGRAM DLL2
      END

      SUBROUTINE DLL2_SUB
cDEC$ ATTRIBUTES DLLEXPORT:: /DLL2_COMMON/, DLL2_SUB
cDEC$ ATTRIBUTES DLLIMPORT:: /DLL1_COMMON/ 
      COMMON /DLL1_COMMON/ DLL1_DATA
      COMMON /DLL2_COMMON/ DLL2_DATA

      REAL DLL1_DATA, DLL2_DATA

      DLL1_DATA = DLL1_DATA + 1
      DLL2_DATA = DLL2_DATA + 1

      WRITE (6,*) 'In DLL2_SUB, values are: ', DLL1_DATA, DLL2_DATA

      END
